Subject: guix deploy doesn't seem to be authorizing the machine that is deploying to the remote

From: pkill9 <[email-masked]>
Date: Wed, 24 Feb 2021 23:56:08 +0000

I'm using the machine-ssh-configuration, I set `(authorize? #t)` which
the manual states should authorize the deploying machine onto the
remote host, but I get an error:
```
guix deploy: error: unauthorized public key: (public-key...
```

So I add to the OS definition:

```
 (guix-configuration
                   (authorized-keys (append `(,(local-file
"/etc/guix/signing-key.pub")) %default-authorized-guix-keys))))

```

Which makes the error go away. I'm under the impression however that
the 'authorize? #t' field should be doing this without me needing to
add it to the OS configuration.